/**

 * --------------------------------------------------

 * Hero Base

 * --------------------------------------------------

 */

.hero {
	--hero-gap: 60px;

	--hero-title-size: var(--h1-size);

	--hero-subtitle-size: var(--h2-size);

	--hero-title-color: var(--color-white);

	--hero-subtitle-color: var(--color-white);

	--hero-description-color: var(--color-white);

	--hero-title-size-sm: var(--h3-size);
}

/**

 * --------------------------------------------------

 * Hero Layout

 * --------------------------------------------------

 */

.hero__wrapper {
	display: flex;

	align-items: center;

	gap: var(--hero-gap);
}

/**

 * --------------------------------------------------

 * Hero Typography

 * --------------------------------------------------

 */

.hero__eyebrow {
	font-family: var(--font-primary);

	font-size: var(--font-size-sm);

	font-weight: 200;

	color: var(--color-white);

	text-transform: uppercase;

	margin-bottom: 16px;
}

.hero__title {
	font-family: var(--font-title);

	font-size: var(--hero-title-size);

	font-weight: var(--heading-weight-bold);

	color: var(--hero-title-color);

	line-height: 1.15;

	margin-bottom: 24px;
}

.hero__subtitle {
	font-family: var(--font-primary);

	font-size: var(--hero-subtitle-size);

	color: var(--hero-subtitle-color);

	margin-top: -15px;

	margin-bottom: 25px;
}

.hero__description {
	font-family: var(--font-primary);

	font-size: var(--font-size-lg);

	font-weight: 500;

	color: var(--hero-description-color);

	line-height: 1.7;
}

/**

 * --------------------------------------------------

 * Hero Media

 * --------------------------------------------------

 */

.hero__media img {
	display: block;

	width: 100%;

	height: 100%;

	object-fit: cover;
}

.hero__video iframe {
	display: block;

	width: 100%;
}

/**

 * --------------------------------------------------

 * Hero Buttons

 * --------------------------------------------------

 */

.hero__buttons {
	display: flex;

	flex-wrap: wrap;

	gap: 16px;
}

/**

 * --------------------------------------------------

 * Responsive

 * --------------------------------------------------

 */

@media (max-width: 991px) {
	.hero__container {
		flex-direction: column;
	}

	.hero {
		--hero-gap: 40px;
	}

	.hero__title {
		font-size: var(--h1-size-sm);
	}

	.hero__subtitle {
		font-size: var(--font-size-lg);
	}

	.hero__description {
		font-size: var(--font-size-sm);

		display: none;
	}

	.hero__overlay {
		position: absolute;

		inset: 0;

		z-index: 1;

		background: rgba(0, 0, 0, 0.4);
	}
}
